Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Class TreeCacheView

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.cache.TreeCacheView

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean, TreeCacheViewMBean

public class TreeCacheView
extends org.jboss.system.ServiceMBeanSupport
implements TreeCacheViewMBean

Graphical view of a ReplicatedTree (using the MVC paradigm). An instance of this class needs to be given a reference to the underlying model (ReplicatedTree) and needs to registers as a ReplicatedTreeListener. Changes to the tree structure are propagated from the model to the view (via ReplicatedTreeListener), changes from the GUI (e.g. by a user) are executed on the tree model (which will broadcast the changes to all replicas).

The view itself caches only the nodes, but doesn't cache any of the data (HashMap) associated with it. When data needs to be displayed, the underlying tree will be accessed directly.

Version:
  $Revision: 1.28.4.1 $

Nested Class Summary
`static class` | `TreeCacheView.MyListener`

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`TreeCacheView()`
`TreeCacheView(String cache_service)`

Method Summary
`void` | `create()`
`void` | `destroy()`
`String` | `getCacheService()`
`static void` | `main(String[] args)`
`void` | `setCacheService(String cache_service)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Constructor Detail

### TreeCacheView

    public TreeCacheView()
                  throws Exception

### TreeCacheView

    public TreeCacheView(String cache_service)
                  throws Exception

Method Detail

### create

    public void create()
                throws Exception

  Specified by:
    `create` in interface `TreeCacheViewMBean`
  Throws:
    `Exception`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `TreeCacheViewMBean`
  Throws:
    `Exception`

### stop

    public void stop()

  Specified by:
    `stop` in interface `TreeCacheViewMBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `TreeCacheViewMBean`

### getCacheService

    public String getCacheService()

  Specified by:
    `getCacheService` in interface `TreeCacheViewMBean`
  Returns:

### setCacheService

    public void setCacheService(String cache_service)
                         throws Exception

  Specified by:
    `setCacheService` in interface `TreeCacheViewMBean`
  Parameters:
    `cache_service` -
  Throws:
    `Exception`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.